using System;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "new stat", menuName = "Action SO")]
public class ActionSO : ScriptableObject
{
    public Action onAction;

    public void InvokeAction()
    {
        onAction?.Invoke();
    }
}
